{-|
[@ISO639-1@]        -

[@ISO639-2@]        ady

[@ISO639-3@]        ady

[@Native name@]     Адыгэбзэ

[@English name@]    Adyghe
-}
module Text.Numeral.Language.ADY.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-adyghe/en/ady/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "зиI")
      , (1, "зы")
      , (2, "тIу")
      , (3, "щы")
      , (4, "плIы")
      , (5, "тфы")
      , (6, "хы")
      , (7, "блы")
      , (8, "и")
      , (9, "бгъу")
      , (10, "пшIы")
      , (11, "пшIыкIузы")
      , (12, "пшIыкIутIу")
      , (13, "пшIыкIущы")
      , (14, "пшIыкIуплIы")
      , (15, "пшIыкIутфы")
      , (16, "пшIыкIухы")
      , (17, "пшIыкIублы")
      , (18, "пшIыкIуи")
      , (19, "пшIыкIубгъу")
      , (20, "тоIкы")
      , (21, "тIоIкырэ зырэ")
      , (22, "тIоIкырэ тIурэ")
      , (23, "тIоIкырэ щырэ")
      , (24, "тIоIкырэ плIырэ")
      , (25, "тIоIкырэ тфырэ")
      , (26, "тIоIкырэ хырэ")
      , (27, "тIоIкырэ блырэ")
      , (28, "тIоIкырэ ирэ")
      , (29, "тIоIкырэ бгъурэ")
      , (30, "щэкIы")
      , (31, "щэкIырэ зырэ")
      , (32, "щэкIырэ тIурэ")
      , (33, "щэкIырэ щырэ")
      , (34, "щэкIырэ плIырэ")
      , (35, "щэкIырэ тфырэ")
      , (36, "щэкIырэ хырэ")
      , (37, "щэкIырэ блырэ")
      , (38, "щэкIырэ ирэ")
      , (39, "щэкIырэ бгъурэ")
      , (40, "тIокIитIу")
      , (41, "тIокIитIурэ зырэ")
      , (42, "тIокIитIурэ тIурэ")
      , (43, "тIокIитIурэ щырэ")
      , (44, "тIокIитIурэ плIырэ")
      , (45, "тIокIитIурэ тфырэ")
      , (46, "тIокIитIурэ хырэ")
      , (47, "тIокIитIурэ блырэ")
      , (48, "тIокIитIурэ ирэ")
      , (49, "тIокIитIурэ бгъурэ")
      , (50, "шъэнэкъо")
      , (51, "шъэнкъэрэ зырэ")
      , (52, "шъэнкъэрэ тIурэ")
      , (53, "шъэнкъэрэ щырэ")
      , (54, "шъэнкъэрэ плIырэ")
      , (55, "шъэнкъэрэ тфырэ")
      , (56, "шъэнкъэрэ хырэ")
      , (57, "шъэнкъэрэ блырэ")
      , (58, "шъэнкъэрэ ирэ")
      , (59, "шъэнкъэрэ бгъурэ")
      , (60, "токIищ")
      , (61, "тIокIищырэ зырэ")
      , (62, "тIокIищырэ тIурэ")
      , (63, "тIокIищырэ щырэ")
      , (64, "тIокIищырэ плIырэ")
      , (65, "тIокIищырэ тфырэ")
      , (66, "тIокIищырэ хырэ")
      , (67, "тIокIищырэ блырэ")
      , (68, "тIокIищырэ ирэ")
      , (69, "тIокIищырэ бгъурэ")
      , (70, "тIокIищырэ пшIырэ")
      , (71, "тIокIищырэ пшIыкIузырэ")
      , (72, "тIокIищырэ пшIыкIутIурэ")
      , (73, "тIокIищырэ пшIыкIущырэ")
      , (74, "тIокIищырэ пшIыкIуплIырэ")
      , (75, "тIокIищырэ пшIыкIутфырэ")
      , (76, "тIокIищырэ пшIыкIухырэ")
      , (77, "тIокIищырэ пшIыкIублырэ")
      , (78, "тIокIищырэ пшIыкIуирэ")
      , (79, "тIокIищырэ пшIыкIубгъурэ")
      , (80, "токIиплI")
      , (81, "токIиплIырэ зырэ")
      , (82, "токIиплIырэ тIурэ")
      , (83, "токIиплIырэ щырэ")
      , (84, "токIиплIырэ плIырэ")
      , (85, "токIиплIырэ тфырэ")
      , (86, "токIиплIырэ хырэ")
      , (87, "токIиплIырэ блырэ")
      , (88, "токIиплIырэ ирэ")
      , (89, "токIиплIырэ бгъурэ")
      , (90, "токIиплIырэ пшIырэ")
      , (91, "токIиплIырэ пшIыкIузырэ")
      , (92, "токIиплIырэ пшIыкIутIурэ")
      , (93, "токIиплIырэ пшIыкIущырэ")
      , (94, "токIиплIырэ пшIыкIуплIырэ")
      , (95, "токIиплIырэ пшIыкIутфырэ")
      , (96, "токIиплIырэ пшIыкIухырэ")
      , (97, "токIиплIырэ пшIыкIублырэ")
      , (98, "токIиплIырэ пшIыкIуирэ")
      , (99, "токIиплIырэ пшIыкIубгъурэ")
      , (100, "шъэ")
      , (101, "шъэрэ зырэ")
      , (102, "шъэрэ тIурэ")
      , (103, "шъэрэ щырэ")
      , (104, "шъэрэ плIырэ")
      , (105, "шъэрэ тфырэ")
      , (106, "шъэрэ хырэ")
      , (107, "шъэрэ блырэ")
      , (108, "шъэрэ ирэ")
      , (109, "шъэрэ бгъурэ")
      , (110, "шъэрэ пшIы")
      , (123, "шъэрэ тIоIкырэ щырэ")
      , (200, "шъитIу")
      , (300, "шъищ")
      , (321, "шъищ тIоIкырэ зырэ")
      , (400, "шъиплI")
      , (500, "шъитф")
      , (600, "шъихы")
      , (700, "шъиблы")
      , (800, "шъии")
      , (900, "шъибгъу")
      , (909, "шъибгъу бгъу")
      , (990, "шъибгъу токIиплIырэ пшIырэ")
      , (999, "шъибгъу токIиплIырэ пшIыкIубгъурэ")
      , (1000, "мин")
      , (1001, "мин зырэ")
      , (1008, "мин и")
      , (1234, "мин шъитIурэ щэкIырэ плIырэ")
      , (2000, "минитIу")
      , (3000, "минищ")
      , (4000, "миниплIы")
      , (4321, "плIы миншъиищ тIоIкырэ зырэ")
      , (5000, "минитфы")
      , (6000, "минихы")
      , (7000, "миниблы")
      , (8000, "минии")
      , (9000, "минибгъу")
      ]
    )
  ]
