{-|
[@ISO639-1@]        et

[@ISO639-2@]        est

[@ISO639-3@]        ekk

[@Native name@]     eesti keel

[@English name@]    Estonian
-}

module Text.Numeral.Language.EKK.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "base" Prelude ( Integral )
import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

cardinals :: (Integral i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "null")
      , (1, "üks")
      , (2, "kaks")
      , (3, "kolm")
      , (4, "neli")
      , (5, "viis")
      , (6, "kuus")
      , (7, "seitse")
      , (8, "kaheksa")
      , (9, "üheksa")
      , (10, "kümme")
      , (11, "üksteist")
      , (12, "kaksteist")
      , (13, "kolmteist")
      , (14, "neliteist")
      , (15, "viisteist")
      , (16, "kuusteist")
      , (17, "seitseteist")
      , (18, "kaheksateist")
      , (19, "üheksateist")
      , (20, "kakskümmend")
      , (21, "kakskümmend üks")
      , (22, "kakskümmend kaks")
      , (23, "kakskümmend kolm")
      , (24, "kakskümmend neli")
      , (25, "kakskümmend viis")
      , (26, "kakskümmend kuus")
      , (27, "kakskümmend seitse")
      , (28, "kakskümmend kaheksa")
      , (29, "kakskümmend üheksa")
      , (30, "kolmkümmend")
      , (31, "kolmkümmend üks")
      , (32, "kolmkümmend kaks")
      , (33, "kolmkümmend kolm")
      , (34, "kolmkümmend neli")
      , (35, "kolmkümmend viis")
      , (36, "kolmkümmend kuus")
      , (37, "kolmkümmend seitse")
      , (38, "kolmkümmend kaheksa")
      , (39, "kolmkümmend üheksa")
      , (40, "nelikümmend")
      , (41, "nelikümmend üks")
      , (42, "nelikümmend kaks")
      , (43, "nelikümmend kolm")
      , (44, "nelikümmend neli")
      , (45, "nelikümmend viis")
      , (46, "nelikümmend kuus")
      , (47, "nelikümmend seitse")
      , (48, "nelikümmend kaheksa")
      , (49, "nelikümmend üheksa")
      , (50, "viiskümmend")
      , (51, "viiskümmend üks")
      , (52, "viiskümmend kaks")
      , (53, "viiskümmend kolm")
      , (54, "viiskümmend neli")
      , (55, "viiskümmend viis")
      , (56, "viiskümmend kuus")
      , (57, "viiskümmend seitse")
      , (58, "viiskümmend kaheksa")
      , (59, "viiskümmend üheksa")
      , (61, "kuuskümmend üks")
      , (62, "kuuskümmend kaks")
      , (63, "kuuskümmend kolm")
      , (64, "kuuskümmend neli")
      , (65, "kuuskümmend viis")
      , (66, "kuuskümmend kuus")
      , (67, "kuuskümmend seitse")
      , (68, "kuuskümmend kaheksa")
      , (69, "kuuskümmend üheksa")
      , (71, "seitsekümmend üks")
      , (72, "seitsekümmend kaks")
      , (73, "seitsekümmend kolm")
      , (74, "seitsekümmend neli")
      , (75, "seitsekümmend viis")
      , (76, "seitsekümmend kuus")
      , (77, "seitsekümmend seitse")
      , (78, "seitsekümmend kaheksa")
      , (79, "seitsekümmend üheksa")
      , (81, "kaheksakümmend üks")
      , (82, "kaheksakümmend kaks")
      , (83, "kaheksakümmend kolm")
      , (84, "kaheksakümmend neli")
      , (85, "kaheksakümmend viis")
      , (86, "kaheksakümmend kuus")
      , (87, "kaheksakümmend seitse")
      , (88, "kaheksakümmend kaheksa")
      , (89, "kaheksakümmend üheksa")
      , (91, "üheksakümmend üks")
      , (92, "üheksakümmend kaks")
      , (93, "üheksakümmend kolm")
      , (94, "üheksakümmend neli")
      , (95, "üheksakümmend viis")
      , (96, "üheksakümmend kuus")
      , (97, "üheksakümmend seitse")
      , (98, "üheksakümmend kaheksa")
      , (99, "üheksakümmend üheksa")
      , (100, "sada")
      , (101, "sadaüks")
      , (102, "sadakaks")
      , (103, "sadakolm")
      , (104, "sadaneli")
      , (105, "sadaviis")
      , (106, "sadakuus")
      , (107, "sadaseitse")
      , (108, "sadakaheksa")
      , (109, "sadaüheksa")
      , (110, "sadakümme")
      , (123, "sadakakskümmend kolm")
      , (200, "kakssada")
      , (300, "kolmsada")
      , (321, "kolmsadakakskümmend üks")
      , (400, "nelisada")
      , (500, "viissada")
      , (600, "kuussada")
      , (700, "seitsesada")
      , (800, "kaheksasada")
      , (900, "üheksasada")
      , (909, "üheksasadaüheksa")
      , (990, "üheksasadaüheksakümmend")
      , (999, "üheksasadaüheksakümmend üheksa")
      , (1000, "tuhat")
      , (1001, "tuhatüks")
      , (1008, "tuhatkaheksa")
      , (1234, "tuhatkakssadakolmkümmend neli")
      , (2000, "kaks tuhat")
      , (3000, "kolm tuhat")
      , (4000, "neli tuhat")
      , (4321, "neli tuhatkolmsadakakskümmend üks")
      , (5000, "viis tuhat")
      , (6000, "kuus tuhat")
      , (7000, "seitse tuhat")
      , (8000, "kaheksa tuhat")
      , (9000, "üheksa tuhat")
      , (10000, "kümme tuhat")
      , (12345, "kaksteist tuhatkolmsadanelikümmend viis")
      , (20000, "kakskümmend tuhat")
      , (30000, "kolmkümmend tuhat")
      , (40000, "nelikümmend tuhat")
      , (50000, "viiskümmend tuhat")
      , (54321, "viiskümmend neli tuhatkolmsadakakskümmend üks")
      , (60000, "kuuskümmend tuhat")
      , (70000, "seitsekümmend tuhat")
      , (80000, "kaheksakümmend tuhat")
      , (90000, "üheksakümmend tuhat")
      , (100000, "sada tuhat")
      , (123456, "sadakakskümmend kolm tuhatnelisadaviiskümmend kuus")
      , (200000, "kakssada tuhat")
      , (300000, "kolmsada tuhat")
      , (400000, "nelisada tuhat")
      , (500000, "viissada tuhat")
      , (600000, "kuussada tuhat")
      , (654321, "kuussadaviiskümmend neli tuhatkolmsadakakskümmend üks")
      , (700000, "seitsesada tuhat")
      , (800000, "kaheksasada tuhat")
      , (900000, "üheksasada tuhat")
      , (1000000, "miljon")
      , (1000001, "miljonüks")
      , (1234567, "miljonkakssadakolmkümmend neli tuhatviissadakuuskümmend seitse")
      , (2000000, "kaks miljonit")
      , (3000000, "kolm miljonit")
      , (4000000, "neli miljonit")
      , (5000000, "viis miljonit")
      , (6000000, "kuus miljonit")
      , (7000000, "seitse miljonit")
      , (7654321, "seitse miljonitkuussadaviiskümmend neli tuhatkolmsadakakskümmend üks")
      , (8000000, "kaheksa miljonit")
      , (9000000, "üheksa miljonit")
      , (1000000000, "miljard")
      , (1000000001, "miljardüks")
      , (2000000000, "kaks miljard")
      , (3000000000, "kolm miljard")
      , (4000000000, "neli miljard")
      , (5000000000, "viis miljard")
      , (6000000000, "kuus miljard")
      , (7000000000, "seitse miljard")
      , (8000000000, "kaheksa miljard")
      , (9000000000, "üheksa miljard")
      , (1000000000000, "triljon")
      , (1000000000001, "triljonüks")
      ]
    )
  ]
