{-|
[@ISO639-1@]        oc

[@ISO639-2@]        oci

[@ISO639-3@]        oci

[@Native name@]     occitan, lenga d'òc

[@English name@]    Occitan
-}
module Text.Numeral.Language.OCI.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-occitan/en/oci/http://www.languagesandnumbers.com/how-to-count-in-occitan/en/oci/

Note: This is the Languedocien dialect.
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "zèro")
      , (1, "un")
      , (2, "dos")
      , (3, "tres")
      , (4, "quatre")
      , (5, "cinc")
      , (6, "sièis")
      , (7, "sèt")
      , (8, "uèch")
      , (9, "nòu")
      , (10, "dètz")
      , (11, "onze")
      , (12, "dotze")
      , (13, "tretze")
      , (14, "catòrze")
      , (15, "quinze")
      , (16, "setze")
      , (17, "dètz-e-sèt")
      , (18, "dètz-e-uèch")
      , (19, "dètz-e-nòu")
      , (20, "vint")
      , (21, "vint-e-un")
      , (22, "vint-e-dos")
      , (23, "vint-e-tres")
      , (24, "vint-e-quatre")
      , (25, "vint-e-cinc")
      , (26, "vint-e-sièis")
      , (27, "vint-e-sèt")
      , (28, "vint-e-uèch")
      , (29, "vint-e-nòu")
      , (30, "trenta")
      , (31, "trenta un")
      , (32, "trenta dos")
      , (33, "trenta tres")
      , (34, "trenta quatre")
      , (35, "trenta cinc")
      , (36, "trenta sièis")
      , (37, "trenta sèt")
      , (38, "trenta uèch")
      , (39, "trenta nòu")
      , (40, "quaranta")
      , (41, "quaranta un")
      , (42, "quaranta dos")
      , (43, "quaranta tres")
      , (44, "quaranta quatre")
      , (45, "quaranta cinc")
      , (46, "quaranta sièis")
      , (47, "quaranta sèt")
      , (48, "quaranta uèch")
      , (49, "quaranta nòu")
      , (50, "cinquanta")
      , (51, "cinquanta un")
      , (52, "cinquanta dos")
      , (53, "cinquanta tres")
      , (54, "cinquanta quatre")
      , (55, "cinquanta cinc")
      , (56, "cinquanta sièis")
      , (57, "cinquanta sèt")
      , (58, "cinquanta uèch")
      , (59, "cinquanta nòu")
      , (60, "seissanta")
      , (61, "seissanta un")
      , (62, "seissanta dos")
      , (63, "seissanta tres")
      , (64, "seissanta quatre")
      , (65, "seissanta cinc")
      , (66, "seissanta sièis")
      , (67, "seissanta sèt")
      , (68, "seissanta uèch")
      , (69, "seissanta nòu")
      , (70, "setanta")
      , (71, "setanta un")
      , (72, "setanta dos")
      , (73, "setanta tres")
      , (74, "setanta quatre")
      , (75, "setanta cinc")
      , (76, "setanta sièis")
      , (77, "setanta sèt")
      , (78, "setanta uèch")
      , (79, "setanta nòu")
      , (80, "ochanta")
      , (81, "ochanta un")
      , (82, "ochanta dos")
      , (83, "ochanta tres")
      , (84, "ochanta quatre")
      , (85, "ochanta cinc")
      , (86, "ochanta sièis")
      , (87, "ochanta sèt")
      , (88, "ochanta uèch")
      , (89, "ochanta nòu")
      , (90, "nonanta")
      , (91, "nonanta un")
      , (92, "nonanta dos")
      , (93, "nonanta tres")
      , (94, "nonanta quatre")
      , (95, "nonanta cinc")
      , (96, "nonanta sièis")
      , (97, "nonanta sèt")
      , (98, "nonanta uèch")
      , (99, "nonanta nòu")
      , (100, "cent")
      , (101, "cent un")
      , (102, "cent dos")
      , (103, "cent tres")
      , (104, "cent quatre")
      , (105, "cent cinc")
      , (106, "cent sièis")
      , (107, "cent sèt")
      , (108, "cent uèch")
      , (109, "cent nòu")
      , (110, "cent dètz")
      , (123, "cent vint-e-tres")
      , (200, "dos cents")
      , (300, "tres cents")
      , (321, "tres cents vint-e-un")
      , (400, "quatre cents")
      , (500, "cinc cents")
      , (600, "sièis cents")
      , (700, "sèt cents")
      , (800, "uèch cents")
      , (900, "nòu cents")
      , (909, "nòu cents nòu")
      , (990, "nòu cents nonanta")
      , (999, "nòu cents nonanta nòu")
      , (1000, "mila")
      , (1001, "mila un")
      , (1008, "mila uèch")
      , (1234, "mila dos cents trenta quatre")
      , (2000, "dos mila")
      , (3000, "tres mila")
      , (4000, "quatre mila")
      , (4321, "quatre mila tres cents vint-e-un")
      , (5000, "cinc mila")
      , (6000, "sièis mila")
      , (7000, "sèt mila")
      , (8000, "uèch mila")
      , (9000, "nòu mila")
      , (10000, "dètz mila")
      , (12345, "dotze mila tres cents quaranta cinc")
      , (20000, "vint mila")
      , (30000, "trenta mila")
      , (40000, "quaranta mila")
      , (50000, "cinquanta mila")
      , (54321, "cinquanta quatre mila tres cents vint-e-un")
      , (60000, "seissanta mila")
      , (70000, "setanta mila")
      , (80000, "ochanta mila")
      , (90000, "nonanta mila")
      , (100000, "cent mila")
      , (123456, "cent vint-e-tres mila quatre cents cinquanta sièis")
      , (200000, "dos cents mila")
      , (300000, "tres cents mila")
      , (400000, "quatre cents mila")
      , (500000, "cinc cents mila")
      , (600000, "sièis cents mila")
      , (654321, "sièis cents cinquanta quatre mila tres cents vint-e-un")
      , (700000, "sèt cents mila")
      , (800000, "uèch cents mila")
      , (900000, "nòu cents mila")
      , (1000000, "un milion")
      , (1000001, "un milion un")
      , (1234567, "un milion dos cents trenta quatre mila cinc cents seissanta sèt")
      , (2000000, "dos milions")
      , (3000000, "tres milions")
      , (4000000, "quatre milions")
      , (5000000, "cinc milions")
      , (6000000, "sièis milions")
      , (7000000, "sèt milions")
      , (7654321, "sèt milions sièis cents cinquanta quatre mila tres cents vint-e-un")
      , (8000000, "uèch milions")
      , (9000000, "nòu milions")
      , (1000000000, "un miliard")
      , (1000000001, "un miliard un")
      , (2000000000, "dos miliards")
      , (3000000000, "tres miliards")
      , (4000000000, "quatre miliards")
      , (5000000000, "cinc miliards")
      , (6000000000, "sièis miliards")
      , (7000000000, "sèt miliards")
      , (8000000000, "uèch miliards")
      , (9000000000, "nòu miliards")
      ]
    )
  ]
